Skip to main content

GET /accounting/transactions/entries

GET 

/accounting/transactions/entries

GET /accounting/transactions/entries

Request​

Query Parameters

    transaction_id int64[]
    type string[]
    entry_type string[]
    gl_account.id int64
    gl_account.number string
    gl_account.name string
    gl_account.description string
    date_posting string

    Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].

    date_tax_applied string

    Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31]. Custom date range syntax. Equal: 2020-01-01; From: [2020-01-01;]; To: [;2025-12-31]; Between: [2020-01-01;2025-12-31].

    from int32
    take int32
    search string
    sort string[]

Responses​

OK

Schema

    total int64nullable
    from int64nullable
    take int64nullable

    entities

    object[]

    nullable

  • Array [

  • id int64nullable
    created_at date-timenullable
    edited_at date-timenullable
    is_locked boolean
    transaction_id int64
    transaction_type stringnullable
    type stringnullable
    entry_type stringnullable
    no stringnullable
    date_posting datenullable
    date_taxable datenullable
    debit double
    credit double
    currency stringnullable

    gl_account

    object

    id int64nullable
    number stringnullable
    name stringnullable
    description stringnullable
    description stringnullable
  • ]

  • aggregations undefined[]nullable
Loading...